Skip to main content

RemoveModel

Remove a 3D model by its UUID. Bearer token authentication required.

API Playground

Remove a 3D model by its UUID.

Your authentication token will be sent as: Authorization: Bearer <token>
UUID of the model to remove

Endpoint

POST https://devapi.marketiger3d.com/v2/Model3D/RemoveModel

Authentication

This endpoint requires a Bearer token. Include the token in the Authorization header:

Authorization: Bearer <your_access_token>

Request Body

FieldTypeRequiredDescription
modelIdstringYesUUID of the model to remove

Body Schema

FieldTypeFormatRequiredDescription
modelIdstringuuidYesThe unique identifier of the 3D model

Example Request

curl -X POST "https://devapi.marketiger3d.com/v2/Model3D/RemoveModel" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-d "{\"modelId\":\"123e4567-e89b-12d3-a456-426614174000\"}"
fetch('https://devapi.marketiger3d.com/v2/Model3D/RemoveModel', {
method: 'POST',
headers: {
'Content-Type': 'application/json',
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
},
body: JSON.stringify({ modelId: '123e4567-e89b-12d3-a456-426614174000' }),
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Post, "https://devapi.marketiger3d.com/v2/Model3D/RemoveModel");
request.Headers.Add("Content-Type", "application/json");
request.Headers.Authorization = new System.Net.Http.Headers.AuthenticationHeaderValue("Bearer", "YOUR_ACCESS_TOKEN");
request.Content = new StringContent(
JsonSerializer.Serialize(new { modelId = "123e4567-e89b-12d3-a456-426614174000" }),
Encoding.UTF8,
"application/json"
);

var response = await client.SendAsync(request);
var responseContent = await response.Content.ReadAsStringAsync();
var result = JsonSerializer.Deserialize<ApiResponse>(responseContent);

Response

Success Response (200 OK)

{
"success": true,
"data": {
"message": "Model removed"
}
}

Response Schema

FieldTypeDescription
successbooleanIndicates if the request succeeded
dataobjectResponse data container
data.messagestringHuman-readable confirmation message

Error Responses (400 Bad Request)

Invalid model ID

{
"success": false,
"error": {
"type": "INCORRECT_PARAMETERS",
"message": "Model ID is not valid"
}
}

Model not found

{
"success": false,
"error": {
"type": "NOT_FOUND",
"message": "Model not found"
}
}

User not found

{
"success": false,
"error": {
"type": "AUTHENTICATION",
"message": "User not found"
}
}

No permission

{
"success": false,
"error": {
"type": "NO_PERMISSION",
"message": "User has no permission for this model"
}
}

Notes

  • Only the model owner, or users with project access to a shared project can remove a model.
  • The request body must include a valid UUID in modelId.